import java.util.*;
import java.math.*;

public class Sample {
  public static String gradeForScore(int score) {
    final String grade = switch(Math.min(score / 10, 10)) {
      case 9 -> "A";
      case 8 -> "B";
      case 7 -> "C";
      case 6 -> "D";
      default -> "F";
    };

    return "Grade for score %d is %s".formatted(score, grade);
  }

  public static void main(String[] args) {
    List.of(59, 65, 78, 83, 89, 93).stream()
      .map(Sample::gradeForScore)
      .forEach(System.out::println);
  }
}

//no break
//no mutation
//concise

